#include <luna.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/syscall.h>
#include <unistd.h>

extern "C"
{
    long getprocid(int field)
    {
        return syscall(SYS_getprocid, field);
    }

    unsigned int msleep(unsigned int ms)
    {
        return (unsigned int)syscall(SYS_sleep, ms);
    }

    __lc_noreturn void __luna_abort(const char* message)
    {
        fputs(message, stderr);
        abort();
    }
}